Subject: Re: CCL:Linear scaling algorithms for QM calculations

From: "Dr. Martin Schuetz" <[email-masked]>
Date: Mon, 4 Mar 2002 10:29:07 +0100 (MET)

----------------------------------------------------------------------------
PD Dr. Martin Schuetz                         Phone: 0049 (0)711-685-4397
University of Stuttgart                       Fax:   0049 (0)711-685-4442
Institute for Theoretical Chemistry
Pfaffenwaldring 55                            Room Nr: 8.161
D-70569 Stuttgart
Email: [email-masked]
WWW  : http://www.theochem.uni-stuttgart.de/~schuetz/
----------------------------------------------------------------------------

On Sun, 3 Mar 2002, Per-Ola Norrby wrote:

> 	To continue the linear scaling trend.
>
> 	The linear scaling CCSD is extremely interesting to me,
> especially if CCSD(T) can also be made linear or near so.  However,
> I'm also interested in cases which are definitely multi-reference in
> character (T1-diagnostic up to ca 0.1, invalidating any CC approach).
> Is anyone aware of linear scaling multi-reference methods?  How about
> GVB, are there linear scaling implementations?  From initial CASSCF
> calculations, perfect pairing might be a good approximation in my
> case.
The local CCSD(T) is strictly linear scaling in the asymptotical limit.
I am not aware of any genuine multireference methods with O(N) scaling.
However, in certain cases (like breaking of covalent single bonds,
biradicals) the triples contribution repairs the deficiencies of the
single reference ansatz to large extends (one might have to go beyond
the (T) approximation though). I just got a paper accepted by JCP, which
presents an O(N) local CCSDT-1b method. CCSDT-1b appears to be
substantially more stable than CCSD(T) for these cases. I will put a
preprint of the paper on my web page within the next days..

>
> 	A separate question: as far as I'm aware, these methods
> become linear when the number of atoms is increased, by localizing
> the calculations.  I believe that the scaling is still bad if you're
> interested in increasing the system size by going to larger basis
> sets.  Can anyone who knows this verify?  I'm just assuming.

It is exactly as you say. The linear scaling refers to the size, i.e.,
the number of electrons if you like, of the molecule. If you take a
molecule of constant size and increase the number of functions per center
you will observe the same N^4 scaling as in the canonical case.
In order to improve the convergence of the correlation energy with
basis set size we are presently exploring the possibility to combine
local methods with explicitely correlated methods (Gaussian Geminals,
R12). Furthermore, in order to reduce the prefactor we are
introducing the RI approximation (Coulomb fitting).

Best regards
Martin

>
> 	Best,
>
> 	Per-Ola Norrby
>
> >For coupled cluster methods with linear scaling check references
> >on my web site
> >
> >
> >----------------------------------------------------------------------------
> >PD Dr. Martin Schuetz                         Phone: 0049 (0)711-685-4397
> >University of Stuttgart                       Fax:   0049 (0)711-685-4442
> >Institute for Theoretical Chemistry
> >Pfaffenwaldring 55                            Room Nr: 8.161
> >D-70569 Stuttgart
> >Email: [email-masked]
> >WWW  : http://www.theochem.uni-stuttgart.de/~schuetz/
> >----------------------------------------------------------------------------
> >
> >
> >
> >On Fri, 1 Mar 2002, Julien MICHEL wrote:
> >
> >>  Dear CCLers,
> >>
> >>  I  recently read a few words about algorithms for pure quantum mechanical
> >>  calculations that scales linearly with the number of electrons in the system
> >>  studied.
> >>  I was surprised to read this as I thought such rate was not feasible for any
> >>  kind
> >>  of quantum calculation. I would be curious to read more about these
> >>  algorithms and how they work. Furthermore, Iíd like to know if these
> >>  algorithms have been used to study fairly big molecular systems such as
> >>  proteins. I would be glad if someone could point some references or even
> >>  better internet resources focusing on that topic
> >>
> >>  Julien MICHEL
> >>
> >>
> >>
> >>
> >>
> >>
> >>
> >>
> >>
> >
> >
> >
> >-= This is automatically added to each message by mailing script =-
> >[email-masked] -- To Everybody  | [email-masked] -- To Admins
> >[email-masked] -- HELP CHEMISTRY or HELP SEARCH
> >[email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> >Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
>
> --
>
> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> Per-Ola Norrby, Assoc. Professor, http://compchem.dfh.dk/PeO/
> Technical University of Denmark, Dept. of Chem., Org. Chem.
> Building 201, Kemitorvet, DK-2800 Kgs. Lyngby, Denmark
> Email: [email-masked]  tel +45-45252123,  fax +45-45933968
>